<!-- =========================================================================================
    File Name: Deposits.vue
    Description: Deposits Page
========================================================================================== -->
<template>
  <div>
    <transaction :data="data"/>
  </div>
</template>
<script>

import Transaction from '~/components/shared/Transaction';

export default {
  name: 'Deposits',
  layout: 'ExchangeLayout',
  asyncData ({ redirect }) {
    //return redirect('/user/profile');
  },
    components: {
      Transaction
    },
    data() {
        return {
          data: { 
            action: 'Transaction',
            title: 'Transactions Filter',
            header: 'All Transactions',
            currency: '',
            amount: '',
            options: ['Deposits', 'Withdrawals'],
            selected: [ "Deposits", "Withdrawals" ],
            bankMethods: [
              {
                name: 'Bank Transfer',
              },
              {
                name: 'Blockchain',
              }
            ],
            currentPage: 1,
            rows: 100,
            perPage: 10,
            paymentMethod: null,
            headers: [
              {
                key: 'Date',
                class: '',
                width: ''             
              },
              {
                key: 'Type',
                class: '',
                width: ''              
              },
              {
                key: 'Amount',
                class: '',
                width: ''               
              },
              {
                key: 'Status',
                class: '',
                width: ''               
              }
            ],
            items: [
              {
                columns: [
                  {
                    class: '',
                    value: '13:03:53'
                  },
                  {
                    class: '',
                    value: 'mBTC'
                  },
                  {
                    class: '',
                    value: 0.2155045
                  },
                  {
                    class: 'bold-text',
                    value: 'PENDING'
                  }
                ]
              },
              {
                columns: [
                  {
                    class: '',
                    value: '13:03:53'
                  },
                  {
                    class: '',
                    value: 'mBTC'
                  },
                  {
                    class: '',
                    value: 0.2155045
                  },
                  {
                    class: 'bold-text',
                    value: 'PENDING'
                  }
                ]
              },
              {
                columns: [
                  {
                    class: '',
                    value: '13:03:53'
                  },
                  {
                    class: '',
                    value: 'mBTC'
                  },
                  {
                    class: '',
                    value: 0.2155045
                  },
                  {
                    class: 'bold-text',
                    value: 'PENDING'
                  }
                ]
            }
          ]
        }
    }
  }
}
</script>
